#!/bin/sh

# The script is called using
#  createAttackStream [inFile] [outFile] [bitrate(Mbps)] [packetSize]

INFILENAME=$1
OUTFILENAME=$2
BitRate=$3
PacketSize=$4

rm -f $OUTFILENAME

# inFile is formatted as [timestamp packetSize]

# First process the inFile for start and end timestamps
TSstart=`head -1 $INFILENAME | awk -F" " '{print $1}'`
TSend=`tail -1 $INFILENAME | awk -F" " '{print $1}'`
TSdiff=`echo "$TSend - $TSstart" | bc -l`

# Compute number of packets to use in attackStream
numPack=`echo "$3 * 1000000 * $TSdiff / 8 / $4" | bc`
TSinc=`echo "scale=7;$TSdiff / $numPack" | bc -l`
echo $TSinc
packetCtr=1
i=1
# Loop to create attackStream
while [ $i -le $numPack ] 
do 
   A=`echo "scale=7; $TSstart + $i * $TSinc" | bc -l`
   echo "$A $packetCtr 1677041 1981 1677256 80 $4" >> $OUTFILENAME
   packetCtr=`echo "$packetCtr + 2" | bc`
   i=`echo "$i+1" | bc`
done
